| GET | /RestApi/sitefinity/data-intelligence/settings |
|---|
export class DECSettingsRequestDto
{
public constructor(init?: Partial<DECSettingsRequestDto>) { (Object as any).assign(this, init); }
}
export class DECSettingsDto
{
public IsDecEnabled: boolean;
public AccessKeyStrategyUsed: boolean;
public AuthorizationHeader: string;
public ApiServerUrl: string;
public DecAppUrl: string;
public DataCenterApiKey: string;
public LicenseType: string;
public DecAdminBackendPageUrl: string;
public ContentAnalyticsApiKeys: string[];
public constructor(init?: Partial<DECSettingsDto>) { (Object as any).assign(this, init); }
}
TypeScript DECSettingsRequestDto DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/settings HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
IsDecEnabled: False,
AccessKeyStrategyUsed: False,
AuthorizationHeader: String,
ApiServerUrl: String,
DecAppUrl: String,
DataCenterApiKey: String,
LicenseType: String,
DecAdminBackendPageUrl: String,
ContentAnalyticsApiKeys:
[
String
]
}